
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 订单退款介入记录信息VO
 *
 * @author tmerclub
 * @date 2023-08-25 10:45:35
 */
public class OrderRefundInterventionVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "记录ID")
    private Long refundIntervertionId;

    @Schema(description = "退款id")
    private Long refundId;

    @Schema(description = "商家/供应商/用户id")
    private Long bizId;

    @Schema(description = "商家/供应商/用户名称")
    private String bizName;

    @Schema(description = "系统类型， 0.普通用户 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;

    @Schema(description = "凭证说明")
    private String voucherDesc;

    @Schema(description = "文件凭证(逗号隔开)")
    private String imgUrls;

    public String getBizName() {
        return bizName;
    }

    public void setBizName(String bizName) {
        this.bizName = bizName;
    }

    public Long getRefundIntervertionId() {
        return refundIntervertionId;
    }

    public void setRefundIntervertionId(Long refundIntervertionId) {
        this.refundIntervertionId = refundIntervertionId;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public String getVoucherDesc() {
        return voucherDesc;
    }

    public void setVoucherDesc(String voucherDesc) {
        this.voucherDesc = voucherDesc;
    }

    public String getImgUrls() {
        return imgUrls;
    }

    public void setImgUrls(String imgUrls) {
        this.imgUrls = imgUrls;
    }

    @Override
    public String toString() {
        return "OrderRefundInterventionVO{" +
                "refundIntervertionId=" + refundIntervertionId +
                ",refundId=" + refundId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",bizId=" + bizId +
                ",sysType=" + sysType +
                ",voucherDesc=" + voucherDesc +
                ",imgUrls=" + imgUrls +
                '}';
    }
}
